### Method

# Gimp Procedure add_return_value

#### Declaration [src]

    GParamSpec*
    gimp_procedure_add_return_value (
      GimpProcedure* procedure,
      GParamSpec* pspec
    )

#### Description [src]

Add a new return value to `procedure` according to `pspec` specifications.

The returned values will be ordered according to the call order to `gimp_procedure_add_return_value()` and `gimp_procedure_add_return_value_from_property()`.

Available since: | 3.0

#### Parameters

`pspec` | `GParamSpec`
| The return value specification.
| The instance takes ownership of the data, and is responsible for freeing it.

#### Return value

Returns: | `GParamSpec`
| The same `pspec`.
| The data is owned by the instance.